import { Org, OrgAuthorization } from '@salesforce/core';
import APIClient from './api-client';
import { ComputeEnvironment, SfdxProjectConfig } from './sfdc-types';
export declare function fetchOrg(aliasOrUsername?: string): Promise<Org>;
export declare function fetchOrgId(aliasOrUsername?: string): Promise<string>;
export declare function fetchSfdxProject(): Promise<SfdxProjectConfig>;
export declare function fetchAppForProject(client: APIClient, projectName: string, orgAliasOrUsername?: string): Promise<ComputeEnvironment>;
export declare function resolveAppNameForEnvironment(appNameOrAlias: string): Promise<string>;
export declare function findOrgAuthorization(orgId: string): Promise<OrgAuthorization | undefined>;
export declare function findOrgExpirationStatus(orgId: string): Promise<string | boolean | undefined>;
export declare function getOrgUsername(orgId: string): Promise<string | undefined>;
export declare function getOrgAlias(orgId: string): Promise<string | undefined>;
export declare function resolveOrg(orgId?: string): Promise<Org>;
